Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003009Piwigometadatapublic2013.12.04 23:142013.12.12 11:14
Reportermistic100 
Assigned Tomistic100 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.6.0RC2Fixed in Version2.6.0RC2 
Summary0003009: Add 'latitude' and 'longitude' fields in images table
DescriptionWe have two main plugins for geotags view (Maps & Earth and Open Stree Map)
and some plugins trying to populate or read these fields (Google2Piwigo, future Flickr2Piwigo)

The "lat" and "lon" fields should be supported by default in Piwigo, even if not exploited, and, if possible, populated from EXIF/IPTC.

To avoid any migration issues, I think it's a good idea to not reuse "lat" and "lon" but add "latitude" and "longitude" (a migration task will try to replicate existing values).
Additional Informationhttp://piwigo.org/forum/viewtopic.php?id=23039 [^]
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
has duplicate 0001046closed Integration of geo exif data (lat and lon) in images 

-  Notes
(0007283)
svn (reporter)
2013.12.06 20:14

[Subversion] r25801 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 3009: Add 'latitude' and 'longitude' fields in images table
(0007284)
svn (reporter)
2013.12.06 21:21

[Subversion] r25802 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 3009: Don't delete 'lat' and 'lon' fields in case users try to delete an old plugin using them (SQL crash)
(0007287)
svn (reporter)
2013.12.07 17:52

[Subversion] r25816 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 3009: "!= NULL" is invalid, use "IS NOT NULL" instead

- Issue History
Date Modified Username Field Change
2013.12.04 23:14 mistic100 New Issue
2013.12.04 23:14 mistic100 browser => any
2013.12.04 23:14 mistic100 Web server => Apache 1.3.x
2013.12.04 23:33 mistic100 Description Updated
2013.12.05 11:56 mistic100 Additional Information Updated
2013.12.06 20:14 mistic100 Status new => assigned
2013.12.06 20:14 mistic100 Assigned To => mistic100
2013.12.06 20:14 svn Checkin
2013.12.06 20:14 svn Note Added: 0007283
2013.12.06 21:21 svn Checkin
2013.12.06 21:21 svn Note Added: 0007284
2013.12.07 17:52 svn Checkin
2013.12.07 17:52 svn Note Added: 0007287
2013.12.12 11:14 plg Status assigned => closed
2013.12.12 11:14 plg Resolution open => fixed
2013.12.12 11:14 plg Fixed in Version => 2.6.0RC2
2014.01.08 20:31 mistic100 Relationship added has duplicate 0001046


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker